#!/bin/sh
MANDIR=debian/mans
mkdir -p $MANDIR

VERSION=`dpkg-parsechangelog | awk '/^Version:/ {print $2}' | sed -e 's/^[0-9]*://' -e 's/-.*//' -e 's/[+~]dfsg$//'`

help2man --no-info --no-discard-stderr --help-option="--help" \
         --name='Genome Assembly Program (part of staden package)' \
            --version-string="$VERSION" gap4 > $MANDIR/gap4.1
#help2man --no-info --no-discard-stderr --help-option="--help" \
#         --name='Genome Assembly Program (part of staden package)' \
#            --version-string="$VERSION" gap5 > $MANDIR/gap5.1
sed -e 's/\([Gg]ap\)4/\15/g'  -e '/^\.SH SEE ALSO/,$d' $MANDIR/gap4.1 > $MANDIR/gap5.1
help2man --no-info --no-discard-stderr --help-option=" " \
         --name='prepare raw data from sequencing instruments for usage with gap4 (part of staden package)' \
            --version-string="$VERSION" pregap4 > $MANDIR/pregap4.1
help2man --no-info --no-discard-stderr --help-option="-h" \
         --name='DNA editing and analysis tool (part of staden package)' \
            --version-string="$VERSION" spin > $MANDIR/spin.1
help2man --no-info --no-discard-stderr --help-option="--help" \
         --name='opening trace files (part of staden package)' \
            --version-string="$VERSION" trev > $MANDIR/trev.1
